## netmiko 0.5.1

=== debian/changelog ===
netmiko (0.5.1-1) unstable; urgency=low

  * Initial release (closes: #825417)

 -- Vincent Bernat <bernat@debian.org>  Thu, 26 May 2016 19:04:17 +0000

## netmiko 1.1.0

=== requirements.txt ===
paramiko>=1.13.0
scp>=0.10.0
pyyaml
pytest>=2.6.0

=== debian/changelog ===
netmiko (1.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Wed, 26 Oct 2016 22:15:09 +0200

netmiko (0.5.6-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Sat, 03 Sep 2016 12:29:30 +0200

=== debian/control ===
Source: netmiko
Section: python
Priority: optional
Maintainer: Vincent Bernat <bernat@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9), dh-python,
               python-all, python3-all,
               python-setuptools, python3-setuptools,
               python-yaml, python3-yaml,
               python-paramiko, python3-paramiko,
               python-pytest, python3-pytest,
               python-scp, python3-scp,
Standards-Version: 3.9.8
Homepage: https://github.com/ktbyers/netmiko
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/netmiko.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/netmiko.git

Package: python-netmiko
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
Recommends: ${python:Recommends}
Suggests: ${python:Suggests}
Description: multi-vendor library for SSH connections to network devices - Python 2.X
 This library simplifies Paramiko SSH connections to network devices. It
 provides support for the following devices:
  - Cisco IOS  
  - Cisco IOS-XE  
  - Cisco ASA  
  - Cisco NX-OS  
  - Cisco IOS-XR  
  - Cisco WLC (limited testing)  
  - Arista vEOS  
  - HP ProCurve  
  - HP Comware (limited testing)  
  - Juniper Junos  
  - Brocade VDX (limited testing)  
  - F5 LTM (experimental)  
  - Huawei (limited testing)  
  - A10 (limited testing)  
  - Avaya ERS (limited testing)  
  - Avaya VSP (limited testing)  
  - Dell-Force10 DNOS9 (limited testing)  
  - OVS (experimental)  
  - Enterasys (experimental)  
  - Extreme (experiemental)  
  - Fortinet (experimental)  
  - Alcatel-Lucent SR-OS (experimental)  
 .
 This package includes the module for Python 2.x.

Package: python3-netmiko
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: multi-vendor library for SSH connections to network devices - Python 3.X
 This library simplifies Paramiko SSH connections to network devices. It
 provides support for the following devices:
  - Cisco IOS  
  - Cisco IOS-XE  
  - Cisco ASA  
  - Cisco NX-OS  
  - Cisco IOS-XR  
  - Cisco WLC (limited testing)  
  - Arista vEOS  
  - HP ProCurve  
  - HP Comware (limited testing)  
  - Juniper Junos  
  - Brocade VDX (limited testing)  
  - F5 LTM (experimental)  
  - Huawei (limited testing)  
  - A10 (limited testing)  
  - Avaya ERS (limited testing)  
  - Avaya VSP (limited testing)  
  - Dell-Force10 DNOS9 (limited testing)  
  - OVS (experimental)  
  - Enterasys (experimental)  
  - Extreme (experiemental)  
  - Fortinet (experimental)  
  - Alcatel-Lucent SR-OS (experimental)  
 .
 This package includes the module for Python 3.x.

## netmiko 1.4.3

=== requirements.txt ===
paramiko>=1.13.0
scp>=0.10.0
pyyaml

=== debian/changelog ===
netmiko (1.4.3-1) unstable; urgency=medium

  * New upstream release.
  * d/control: bump Standards-Version.

 -- Vincent Bernat <bernat@debian.org>  Sun, 12 Nov 2017 19:46:40 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                python-paramiko, python3-paramiko,
                python-pytest, python3-pytest,
                python-scp, python3-scp,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: https://github.com/ktbyers/netmiko
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/netmiko.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/netmiko.git

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=netmiko
%:
	dh $@ --with python3,python2 --buildsystem=pybuild

override_dh_auto_test:
	# No tests shipped in pypi tarball

## netmiko 2.4.2

=== debian/changelog ===
netmiko (2.4.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Remove trailing whitespaces
  * Use debhelper-compat instead of debian/compat.

  [ Vincent Bernat ]
  * New upstream release.
  * d/control: drop python2 package. Closes: #937130.
  * d/control: add dependency on python3-textfsm.

 -- Vincent Bernat <bernat@debian.org>  Fri, 13 Sep 2019 19:14:59 +0200

=== debian/control ===
Source: netmiko
Section: python
Priority: optional
Maintainer: Vincent Bernat <bernat@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper-compat (= 9), dh-python,
               python3-all,
               python3-setuptools,
               python3-yaml,
               python3-paramiko,
               python3-textfsm,
               python3-pytest,
               python3-scp,
Standards-Version: 4.1.1
Homepage: https://github.com/ktbyers/netmiko
Vcs-Git: https://salsa.debian.org/python-team/modules/netmiko.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/netmiko

Package: python3-netmiko
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: multi-vendor library for SSH connections to network devices - Python 3.X
 This library simplifies Paramiko SSH connections to network devices. It
 provides support for the following devices:
  - Cisco IOS
  - Cisco IOS-XE
  - Cisco ASA
  - Cisco NX-OS
  - Cisco IOS-XR
  - Cisco WLC (limited testing)
  - Arista vEOS
  - HP ProCurve
  - HP Comware (limited testing)
  - Juniper Junos
  - Brocade VDX (limited testing)
  - F5 LTM (experimental)
  - Huawei (limited testing)
  - A10 (limited testing)
  - Avaya ERS (limited testing)
  - Avaya VSP (limited testing)
  - Dell-Force10 DNOS9 (limited testing)
  - OVS (experimental)
  - Enterasys (experimental)
  - Extreme (experiemental)
  - Fortinet (experimental)
  - Alcatel-Lucent SR-OS (experimental)
 .
 This package includes the module for Python 3.x.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=netmiko
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	# No tests shipped in pypi tarball

=== debian/watch ===
# try also https://pypi.debian.net/netmiko/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/netmiko/netmiko-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## netmiko 4.3.0

=== debian/changelog ===
netmiko (4.3.0-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Bump debhelper from deprecated 9 to 13.
  * Set upstream metadata fields: Repository-Browse.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ Andreas Tille ]
  * New upstream version
    Closes: #1035988
  * Real team maintenance in DPT (with permission in
    https://lists.debian.org/debian-python/2024/02/msg00072.html)
  * Standards-Version: 4.6.2 (routine-update)
  * Testsuite: autopkgtest-pkg-python (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Repository.
  * watch file standard 4 (routine-update)
  * Fix installation of docs

 -- Andreas Tille <tille@debian.org>  Wed, 28 Feb 2024 11:41:36 +0100

netmiko (2.4.2-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address

 -- Sandro Tosi <morph@debian.org>  Wed, 04 May 2022 15:17:20 -0400

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: netmiko
 Section: python
+Testsuite: autopkgtest-pkg-python
 Priority: optional
-Maintainer: Vincent Bernat <bernat@debian.org>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper-compat (= 9), dh-python,
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Vincent Bernat <bernat@debian.org>
+Build-Depends: debhelper-compat (= 13), dh-sequence-python3,
                python3-all,
                python3-setuptools,
                python3-yaml,
@@ -11,10 +12,11 @@
                python3-textfsm,
                python3-pytest,
                python3-scp,
-Standards-Version: 4.1.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/ktbyers/netmiko
-Vcs-Git: https://salsa.debian.org/python-team/modules/netmiko.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/netmiko
+Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/python-team/packages/netmiko.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/netmiko
 
 Package: python3-netmiko
 Architecture: all

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=netmiko
%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:
	# No tests shipped in pypi tarball

## netmiko 4.4.0

=== debian/changelog ===
netmiko (4.4.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - Vendor telnetlib library (closes: #1084527).
  * Remove unused setuptools requirement.

 -- Colin Watson <cjwatson@debian.org>  Thu, 24 Oct 2024 21:47:20 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Vincent Bernat <bernat@debian.org>
 Build-Depends: debhelper-compat (= 13), dh-sequence-python3,
+               pybuild-plugin-pyproject,
                python3-all,
-               python3-setuptools,
+               python3-poetry,
                python3-yaml,
                python3-paramiko,
                python3-textfsm,

## netmiko 4.5.0

=== debian/changelog ===
netmiko (4.5.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Tue, 10 Dec 2024 15:25:29 +0000

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,18 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Vincent Bernat <bernat@debian.org>
-Build-Depends: debhelper-compat (= 13), dh-sequence-python3,
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-python3,
                pybuild-plugin-pyproject,
                python3-all,
+               python3-paramiko,
                python3-poetry,
+               python3-pytest,
+               python3-rich,
+               python3-ruamel.yaml,
+               python3-scp,
+               python3-textfsm,
                python3-yaml,
-               python3-paramiko,
-               python3-textfsm,
-               python3-pytest,
-               python3-scp,
 Standards-Version: 4.6.2
 Homepage: https://github.com/ktbyers/netmiko
 Rules-Requires-Root: no

## netmiko 4.6.0

=== debian/changelog ===
netmiko (4.6.0-1) unstable; urgency=medium

  * Team upload.

  [ Eduardo Belarmino Silva ]
  * New upstream version 4.6.0

  [ Colin Watson ]
  * Build-depend on python3-poetry-core rather than python3-poetry.
  * Remove obsolete entry for netmiko/_textfsm/*.py from debian/copyright.
  * Add entry for netmiko/mikrotik/* to debian/copyright.
  * Remove some superfluous documentation files from the binary package.
  * Remove superfluous executable bits from a couple of files.
  * Standards-Version: 4.7.2.

 -- Colin Watson <cjwatson@debian.org>  Mon, 25 Aug 2025 12:02:18 +0100

=== debian/control ===
--- 
+++ 
@@ -9,14 +9,14 @@
                pybuild-plugin-pyproject,
                python3-all,
                python3-paramiko,
-               python3-poetry,
+               python3-poetry-core,
                python3-pytest,
                python3-rich,
                python3-ruamel.yaml,
                python3-scp,
                python3-textfsm,
                python3-yaml,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/ktbyers/netmiko
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/netmiko.git

=== debian/rules ===
--- 
+++ 
@@ -6,3 +6,15 @@
 
 override_dh_auto_test:
 	# No tests shipped in pypi tarball
+
+execute_after_dh_auto_install:
+	# Licensing information collected in debian/copyright
+	rm debian/python3-netmiko/usr/lib/python3*/dist-packages/netmiko/_telnetlib/LICENSE
+	rm debian/python3-netmiko/usr/lib/python3*/dist-packages/netmiko/mikrotik/README.md
+	# Not needed in Debian package
+	rm debian/python3-netmiko/usr/lib/python3*/dist-packages/netmiko/_telnetlib/README.md
+
+execute_after_dh_fixperms:
+	# https://github.com/ktbyers/netmiko/pull/3722
+	chmod -x debian/python3-netmiko/usr/lib/python3/dist-packages/netmiko/nokia/__init__.py
+	chmod -x debian/python3-netmiko/usr/lib/python3/dist-packages/netmiko/ssh_dispatcher.py

=== debian/watch ===
# try also https://pypi.debian.net/netmiko/watch
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/netmiko/netmiko-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
